summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMax <msuraev@sysmocom.de>2018-02-14 10:21:56 +0000
committerGerrit Code Review <gerrit@2a01:4f8:191:444b:0:0:2:12>2018-02-14 10:21:56 +0000
commit9e59284ddeff61417d082e590208206cc46b6ba0 (patch)
treee0233e1db31174d914bb94c51270b09e7b78ee2a
parent1bb3ef6d9012600daa20d34e629ab2a06e21aeb5 (diff)
parent593107c0b370a956a253bb97378ecb7b0695cba5 (diff)
Merge "Add basic CI integration"
-rwxr-xr-xcontrib/jenkins.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..ba4e7af
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+# jenkins build helper script for jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
+osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
+
+verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== gapk ==============================="
+echo
+set -x
+
+cd "$base"
+autoreconf --install --force
+./configure
+$MAKE $PARALLEL_MAKE
+LD_LIBRARY_PATH="$inst/lib" $MAKE check || cat-testlogs.sh
+LD_LIBRARY_PATH="$inst/lib" DISTCHECK_CONFIGURE_FLAGS="" $MAKE distcheck || cat-testlogs.sh
+
+osmo-clean-workspace.sh